summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@parabola.nu>2017-04-02 04:10:01 -0400
committerJan Alexander Steffens (heftig) <jan.steffens@gmail.com>2017-04-05 22:14:20 +0200
commit747e8ffc8d02bc8726d6f336ebbe7ecf05e9fd38 (patch)
treec1fb11fba15acfc9f0344c900b3ca26965b86b36
parentfb40b587729a6f596e674da8d3ea8397c65a0060 (diff)
downloaddevtools-747e8ffc8d02bc8726d6f336ebbe7ecf05e9fd38.tar.gz
devtools-747e8ffc8d02bc8726d6f336ebbe7ecf05e9fd38.zip
lib/common.sh: Adjust to work properly with `set -u`.
-rw-r--r--lib/common.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/lib/common.sh b/lib/common.sh
index 19aa7de..4536668 100644
--- a/lib/common.sh
+++ b/lib/common.sh
@@ -1,4 +1,5 @@
#!/hint/bash
+# This may be included with or without `set -euE`
# License: Unspecified
@@ -8,7 +9,7 @@ export LANG=C
shopt -s extglob
# check if messages are to be printed using color
-unset ALL_OFF BOLD BLUE GREEN RED YELLOW
+declare ALL_OFF='' BOLD='' BLUE='' GREEN='' RED='' YELLOW=''
if [[ -t 2 ]]; then
# prefer terminal safe colored and bold text when tput is supported
if tput setaf 0 &>/dev/null; then
@@ -65,14 +66,14 @@ stat_done() {
_setup_workdir=false
setup_workdir() {
- [[ -z $WORKDIR ]] && WORKDIR=$(mktemp -d --tmpdir "${0##*/}.XXXXXXXXXX")
+ [[ -z ${WORKDIR:-} ]] && WORKDIR=$(mktemp -d --tmpdir "${0##*/}.XXXXXXXXXX")
_setup_workdir=true
trap 'trap_abort' INT QUIT TERM HUP
trap 'trap_exit' EXIT
}
cleanup() {
- if [[ -n $WORKDIR ]] && $_setup_workdir; then
+ if [[ -n ${WORKDIR:-} ]] && $_setup_workdir; then
rm -rf "$WORKDIR"
fi
exit ${1:-0}